using Hotline.Share.Enums.CallCenter;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.CallCenter.Tels
{
    [Description("坐席动作类型")]
    public class TelOperationXthx : CreationEntity
    {
        /// <summary>
        /// 分机id
        /// </summary>
        [SugarColumn(ColumnDescription = "分机id")]
        public string? TelId { get; set; }

        /// <summary>
        /// 分机号
        /// </summary>
        [SugarColumn(ColumnDescription = "分机号")]
        public string? TelNo { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        [SugarColumn(ColumnDescription = "工号")]
        public string? StaffNo { get; set; }

        /// <summary>
        /// 用户id
        /// </summary>
        [SugarColumn(ColumnDescription = "用户id")]
        public string? UserId { get; set; }

        /// <summary>
        /// 用户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "用户名称")]
        public string? UserName { get; set; }

        /// <summary>
        /// 分组
        /// </summary>
        [SugarColumn(ColumnDescription = "分组")]
        public string? UserGroup { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [SugarColumn(ColumnDescription = "开始时间")]
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "结束时间")]
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 时长（单位：秒）
        /// </summary>
        [SugarColumn(ColumnDescription = "时长（单位：秒）")]
        public double? RestDuration { get; set; }

        /// <summary>
        /// 备注（冗余）
        /// </summary>
        [SugarColumn(ColumnDescription = "备注（冗余）")]
        public string? Reason { get; set; }

        /// <summary>
        /// 分机状态
        /// </summary>
        public EOperationStatus OperationStatus { get; set; }

    }
}
